org.apache.velocity.tools.config

## Class EasyFactoryConfiguration.EasyWrap<C extends Configuration>

- java.lang.Object
- - org.apache.velocity.tools.config.EasyFactoryConfiguration.EasyWrap<C>

Enclosing class:
  EasyFactoryConfiguration

    public class EasyFactoryConfiguration.EasyWrap<C extends Configuration>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EasyWrap(C config, Configuration parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`EasyFactoryConfiguration.EasyWrap` `addDefaultTools()`
`C` `getConfiguration()`
`Configuration` `getParent()`
`EasyFactoryConfiguration.EasyWrap<C>` `property(String name, Object value)`
`EasyFactoryConfiguration.EasyWrap<C>` `restrictTo(String path)`
`EasyFactoryConfiguration.EasyWrap` `tool(Class clazz)`
`EasyFactoryConfiguration.EasyWrap` `tool(String classname)`
`EasyFactoryConfiguration.EasyWrap` `tool(String key, Class clazz)`
`EasyFactoryConfiguration.EasyWrap` `tool(String key, String classname)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EasyWrap

    public EasyWrap(C config,
                    Configuration parent)

### Method Detail

#### getConfiguration

    public C getConfiguration()

#### getParent

    public Configuration getParent()

#### property

    public EasyFactoryConfiguration.EasyWrap<C> property(String name,
                                                         Object value)

#### restrictTo

    public EasyFactoryConfiguration.EasyWrap<C> restrictTo(String path)

#### addDefaultTools

    public EasyFactoryConfiguration.EasyWrap addDefaultTools()

#### tool

    public EasyFactoryConfiguration.EasyWrap tool(Class clazz)

#### tool

    public EasyFactoryConfiguration.EasyWrap tool(String classname)

#### tool

    public EasyFactoryConfiguration.EasyWrap tool(String key,
                                                  Class clazz)

#### tool

    public EasyFactoryConfiguration.EasyWrap tool(String key,
                                                  String classname)